<?php

namespace App\Modules\Inventory\Exports;

use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithColumnFormatting;
use Maatwebsite\Excel\Concerns\WithTitle;
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;

class ProductImportSheet implements WithHeadings, WithColumnFormatting, WithTitle
{
    public function title(): string
    {
        return '商品匯入';
    }

    public function headings(): array
    {
        return [
            '商品代號(選填)',
            '條碼(選填)',
            '商品名稱',
            '類別名稱',
            '品牌',
            '規格',
            '基本單位',
            '大單位',
            '換算率',
            '成本價',
            '售價',
            '會員價',
            '批發價',
        ];
    }

    public function columnFormats(): array
    {
        return [
            'A' => NumberFormat::FORMAT_TEXT, // 商品代號
            'B' => NumberFormat::FORMAT_TEXT, // 條碼
        ];
    }
}
